> ## Documentation Index
> Fetch the complete documentation index at: https://developers.teleship.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a taxes collection by ID



## OpenAPI

````yaml /api-reference/openapi.json get /api/taxes-collections/{id}
openapi: 3.0.0
info:
  title: Teleship
  description: >

    Teleship is a leading cross-border logistics provider offering seamless
    global commerce solutions through our comprehensive API.


    With Teleship's API, developers can integrate our cross-border shipping
    services, trade engine, and logistics solutions directly into their
    applications.


    **Key Features:**

    - Cross-border shipping solutions for international commerce

    - Real-time shipping rates and delivery estimates

    - End-to-end shipment tracking with detailed status updates

    - Automated customs compliance and product classification

    - Real-time event notifications through webhooks


    **Why Teleship?**

    - API-first: Developer-friendly integration with comprehensive documentation

    - Enterprise-ready: Built for businesses of all sizes

    - Secure: Enterprise-grade security and compliance

    - Integrated: Seamless connection with e-commerce, ERP, and fulfillment
    systems


    Start shipping globally with Teleship's powerful cross-border logistics API.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.teleship.com
security: []
tags: []
paths:
  /api/taxes-collections/{id}:
    get:
      tags:
        - Taxes Collections
      summary: Get a taxes collection by ID
      operationId: getTaxesCollection
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxesCollectionEntity'
        '404':
          description: Collection not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseMessagesDto'
      security:
        - bearer: []
components:
  schemas:
    TaxesCollectionEntity:
      type: object
      properties:
        id:
          type: string
        trackingNumber:
          type: string
        externalManifestId:
          type: string
        shipTo:
          $ref: '#/components/schemas/DestinationDto'
        shipFrom:
          $ref: '#/components/schemas/OriginDto'
        weight:
          $ref: '#/components/schemas/WeightDto'
        dimensions:
          $ref: '#/components/schemas/DimensionsDto'
        customs:
          $ref: '#/components/schemas/CustomsDto'
        description:
          type: string
        customerReference:
          type: string
        packageType:
          type: string
          enum:
            - envelope
            - tube
            - parcel
          default: parcel
        contentType:
          type: string
          enum:
            - Documents
            - Gift
            - Sample
            - Other
            - CommercialGoods
            - ReturnOfGoods
          default: CommercialGoods
        metadata:
          type: object
        requestId:
          type: string
        isArchived:
          type: boolean
          default: false
        status:
          type: string
          description: Collection status
          example: pending
        dutiesAndTaxes:
          $ref: '#/components/schemas/DutiesAndTaxesDto'
        stages:
          description: Timeline stages
          type: array
          items:
            $ref: '#/components/schemas/TaxesStageDto'
        collectionDeadline:
          format: date-time
          type: string
          description: Payment deadline
        customsPaidAt:
          format: date-time
          type: string
          description: When customs was paid
        stripePaymentIntentId:
          type: string
          description: Stripe PaymentIntent ID
        accountId:
          type: string
        commodities:
          type: array
          items:
            $ref: '#/components/schemas/TaxesCommodityEntity'
        surcharges:
          type: array
          items:
            $ref: '#/components/schemas/SurchargeEntity'
        events:
          type: array
          items:
            $ref: '#/components/schemas/UpdateEventsEntity'
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/AttachmentsEntity'
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/TransactionsEntity'
        updatedAt:
          format: date-time
          type: string
        createdAt:
          format: date-time
          type: string
        paymentUrl:
          type: string
          description: Payment URL for consignee
          example: https://duties-taxes.com/abc123
      required:
        - id
        - trackingNumber
        - shipTo
        - shipFrom
        - weight
        - dimensions
        - customs
        - packageType
        - contentType
        - isArchived
        - status
        - accountId
        - commodities
        - surcharges
        - events
        - attachments
        - transactions
        - updatedAt
        - createdAt
        - paymentUrl
    ResponseMessagesDto:
      type: object
      properties:
        messages:
          type: array
          items:
            $ref: '#/components/schemas/ErrorResponseDto'
      required:
        - messages
    DestinationDto:
      type: object
      properties:
        name:
          type: string
          description: The recipient's name.
        email:
          type: string
          description: Email address for the recipient.
        phone:
          type: string
          description: >-
            Phone number for the recipient. A valid local phone number including
            area code or a fully qualified international number. Drivers can use
            this to coordinate pickup with the sender.
        company:
          type: string
          description: >-
            Business name. This helps the driver successfully collect and
            deliver the parcel.
        address:
          description: The destination address for the shipment
          default:
            line1: ''
            city: ''
            postcode: ''
            country: US
          allOf:
            - $ref: '#/components/schemas/DestinationAddressDto'
      required:
        - name
        - address
    OriginDto:
      type: object
      properties:
        name:
          type: string
          description: The shipper's name.
        email:
          type: string
          description: Email address for the shipper.
        phone:
          type: string
          description: >-
            Phone number for the shipper. A valid local phone number including
            area code or a fully qualified international number. Drivers can use
            this to coordinate pickup with the sender.
        company:
          type: string
          description: >-
            Business name. This helps the driver successfully collect and
            deliver the parcel.
        address:
          description: The origin address for the shipment
          default:
            line1: ''
            city: ''
            postcode: ''
            country: GB
          allOf:
            - $ref: '#/components/schemas/OriginAddressDto'
      required:
        - name
        - address
    WeightDto:
      type: object
      properties:
        value:
          type: number
          description: The decimal value of the item weight.
          default: '1.0'
          minimum: 0.001
        unit:
          type: string
          description: The unit of measurement for the weight
          enum:
            - kg
            - lb
          default: kg
      required:
        - value
        - unit
    DimensionsDto:
      type: object
      properties:
        length:
          type: number
          description: The decimal value of the length of the item
          default: '40.0'
        width:
          type: number
          description: The decimal value of the width of the item
          default: '30.0'
        height:
          type: number
          description: The decimal value of the height of the item
          default: '16.0'
        unit:
          type: string
          description: The unit of measurement for the dimensions
          enum:
            - cm
            - in
          default: cm
      required:
        - length
        - width
        - height
        - unit
    CustomsDto:
      type: object
      properties:
        contentType:
          type: string
          description: The description of the contents for customs purposes.
          enum:
            - Documents
            - Gift
            - Sample
            - Other
            - CommercialGoods
            - ReturnOfGoods
        incoterms:
          type: string
          description: The incoterms for the shipment.
          enum:
            - DDP
            - DDU
        invoiceNumber:
          type: string
          description: The invoice number for the shipment.
        invoiceDate:
          format: date-time
          type: string
          description: The date of the invoice.
        orderId:
          type: string
          description: The order ID of the shipment
        orderTotalValue:
          description: The total value of the invoice.
          allOf:
            - $ref: '#/components/schemas/AmountDto'
        certified:
          type: boolean
          description: Whether the contents are cerified.
        signedBy:
          type: string
          description: The name of the person who certifies the customs content.
        EORI:
          type: string
          description: The EORI number of the seller.
        IOSS:
          type: string
          description: The IOSS number of the seller.
        VAT:
          type: string
          description: The VAT number of the seller.
        EIN:
          type: string
          description: The EIN number of the seller.
        VOECNUMBER:
          type: string
          description: The Norwegian VAT number of the seller.
        SWISSVAT:
          type: string
          description: The Swiss VAT number of the seller.
        KAR_VAT:
          type: string
          description: K number of the seller.
        CA_GST:
          type: string
          description: Canadian GST number of the seller.
        AU_GST:
          type: string
          description: Australian GST number of the seller.
        NZ_GST:
          type: string
          description: New Zealand GST number of the seller.
        JPConsumptionTax:
          type: string
          description: The Swiss VAT number of the seller.
        GPSRContactInfo:
          type: string
          description: The contact information for the GPSR.
        importerOfRecord:
          description: The importer of record.
          allOf:
            - $ref: '#/components/schemas/LocationDto'
      required:
        - contentType
    DutiesAndTaxesDto:
      type: object
      properties:
        totalAmount:
          type: number
          description: Total customer-visible amount (duty + VAT + fees)
        currency:
          type: string
          description: Currency of the amount
          enum:
            - GBP
            - USD
            - EUR
            - CAD
            - AUD
            - BGN
            - CZK
            - DKK
            - HUF
            - PLN
            - RON
            - SEK
            - NZD
            - SAR
            - AED
            - HKD
            - SGD
        charges:
          description: Breakdown of charges
          type: array
          items:
            $ref: '#/components/schemas/ChargeDto'
        customsDeclaration:
          type: object
          description: Customs declaration info
      required:
        - totalAmount
        - currency
        - charges
    TaxesStageDto:
      type: object
      properties:
        id:
          type: string
          description: Stage identifier
        type:
          type: string
          description: Type of stage
          example: initial_sms
        status:
          type: string
          description: Stage status
          example: completed
        scheduledAt:
          format: date-time
          type: string
          description: Timestamp when stage was scheduled
        completedAt:
          format: date-time
          type: string
          description: Timestamp when stage was completed
        error:
          type: string
          description: Error message if stage failed
        skipReason:
          type: string
          description: Reason if stage was skipped
        retryCount:
          type: number
          description: Number of retry attempts
        metadata:
          type: object
          description: Additional metadata
      required:
        - id
        - type
        - status
    TaxesCommodityEntity:
      type: object
      properties:
        id:
          type: string
        quantity:
          type: number
        title:
          type: string
        hsCode:
          type: string
        predictedHsCode:
          type: string
        predictedTaxCode:
          type: string
        value:
          type: object
        kgWeight:
          type: number
        unitWeight:
          type: object
        sku:
          type: string
        description:
          type: string
        productUrl:
          type: string
        imageUrl:
          type: string
        category:
          type: string
        countryOfOrigin:
          type: string
          enum:
            - AF
            - AL
            - DZ
            - AS
            - AC
            - AD
            - AO
            - AI
            - AQ
            - AG
            - AR
            - AM
            - AW
            - AU
            - AT
            - AZ
            - BS
            - BH
            - BD
            - BB
            - BY
            - BE
            - BZ
            - BJ
            - BM
            - BT
            - BO
            - BA
            - BW
            - BV
            - BR
            - IO
            - BN
            - BG
            - BF
            - BI
            - KH
            - CM
            - CA
            - CV
            - KY
            - CF
            - TD
            - CL
            - CN
            - CX
            - CC
            - CO
            - KM
            - CG
            - CD
            - CK
            - CR
            - CI
            - HR
            - CU
            - CY
            - CZ
            - DK
            - DJ
            - DM
            - DO
            - EC
            - EG
            - EL
            - SV
            - GQ
            - ER
            - EE
            - ET
            - FK
            - FO
            - FJ
            - FI
            - FR
            - GF
            - PF
            - TF
            - GA
            - GM
            - GE
            - DE
            - GH
            - GI
            - GR
            - GL
            - GD
            - GP
            - GU
            - GT
            - GG
            - GN
            - GW
            - GY
            - HT
            - HM
            - VA
            - HN
            - HK
            - HU
            - IS
            - IN
            - ID
            - IR
            - IQ
            - IE
            - IM
            - IL
            - IT
            - JM
            - JP
            - JE
            - JO
            - KZ
            - KE
            - KI
            - KP
            - KR
            - KW
            - KG
            - LA
            - LV
            - LB
            - LS
            - LR
            - LY
            - LI
            - LT
            - LU
            - MO
            - MK
            - MG
            - MW
            - MY
            - MV
            - ML
            - MT
            - MH
            - MQ
            - MR
            - MU
            - YT
            - MX
            - FM
            - MD
            - MC
            - MN
            - ME
            - MS
            - MA
            - MZ
            - MM
            - NA
            - NR
            - NP
            - NL
            - AN
            - NC
            - NZ
            - NI
            - NE
            - NG
            - NU
            - NF
            - MP
            - 'NO'
            - OM
            - PK
            - PW
            - PS
            - PA
            - PG
            - PY
            - PE
            - PH
            - PN
            - PL
            - PT
            - PR
            - QA
            - RE
            - RO
            - RU
            - RW
            - SH
            - KN
            - LC
            - PM
            - VC
            - WS
            - SM
            - ST
            - SA
            - SN
            - RS
            - SC
            - SL
            - SG
            - SK
            - SI
            - SB
            - SO
            - ZA
            - GS
            - ES
            - LK
            - SD
            - SR
            - SJ
            - SZ
            - SE
            - CH
            - SY
            - TW
            - TJ
            - TZ
            - TH
            - TL
            - TG
            - TK
            - TO
            - TT
            - TN
            - TR
            - TM
            - TC
            - TV
            - UG
            - UA
            - AE
            - GB
            - US
            - UM
            - UY
            - UZ
            - VU
            - VE
            - VN
            - VG
            - VI
            - WF
            - EH
            - YE
            - ZM
            - ZW
          default: CN
        classification:
          type: object
        dutiesAndTaxes:
          type: object
        metadata:
          type: object
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - quantity
        - title
        - value
        - kgWeight
        - unitWeight
        - countryOfOrigin
        - createdAt
        - updatedAt
    SurchargeEntity:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        name:
          type: string
        amount:
          type: number
        currency:
          type: string
          enum:
            - GBP
            - USD
            - EUR
            - CAD
            - AUD
            - BGN
            - CZK
            - DKK
            - HUF
            - PLN
            - RON
            - SEK
            - NZD
            - SAR
            - AED
            - HKD
            - SGD
        metadata:
          type: object
        shipmentId:
          type: string
        taxesCollectionId:
          type: string
          description: Optional reference to a TaxesCollection
        updatedAt:
          format: date-time
          type: string
        createdAt:
          format: date-time
          type: string
      required:
        - id
        - type
        - name
        - amount
        - currency
        - metadata
        - shipmentId
        - updatedAt
        - createdAt
    UpdateEventsEntity:
      type: object
      properties:
        id:
          type: string
        timestamp:
          format: date-time
          type: string
        code:
          type: string
        status:
          type: string
        data:
          type: object
        eventTypeId:
          type: string
        eventType:
          $ref: '#/components/schemas/EventTypeEntity'
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - timestamp
        - code
        - createdAt
        - updatedAt
    AttachmentsEntity:
      type: object
      properties:
        id:
          type: string
        eventName:
          type: string
        reference:
          type: string
        data:
          type: object
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
        downloadURL:
          type: string
          description: download URL for the attachment
          example: https://api.teleship.com/api/documents/123/download
      required:
        - id
        - eventName
        - data
        - createdAt
        - updatedAt
        - downloadURL
    TransactionsEntity:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        amount:
          type: number
        currency:
          type: object
        description:
          type: string
        status:
          type: string
        reference:
          type: string
        transactionTypeId:
          type: string
        metadata:
          type: object
        transactionType:
          $ref: '#/components/schemas/TransactionTypesEntity'
        accountId:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - type
        - amount
        - currency
        - accountId
        - createdAt
        - updatedAt
    ErrorResponseDto:
      type: object
      properties:
        code:
          type: number
        level:
          type: string
          enum:
            - error
            - warning
            - info
          example: error
          description: Error level
          default: error
        timestamp:
          format: date-time
          type: string
          example: '2024-01-01T00:00:00.00Z'
        message:
          type: string
          example: An error occurred
        details:
          example:
            - Missing required field
          type: array
          items:
            type: string
      required:
        - code
        - level
        - timestamp
        - message
        - details
    DestinationAddressDto:
      type: object
      properties:
        line1:
          type: string
          description: >-
            The street address for the location. Do not include the postcode,
            state, or suburb in this field.
        line2:
          type: string
          description: Second line of the street address for the location.
        city:
          type: string
          description: >-
            City or town of the location. In certain regions the name here is
            validated against the postcode, so must be valid and match.
        state:
          type: string
          description: State, province, or territory of the location.
        postcode:
          type: string
          description: Postcode, postal code, or ZIP code of the location.
        isResidential:
          type: boolean
          description: Whether the address is residential.
        country:
          type: string
          description: The country of destination for the shipment
          enum:
            - US
            - GB
            - CA
            - AU
            - AT
            - BE
            - BG
            - HR
            - CY
            - CZ
            - DK
            - EE
            - FI
            - FR
            - DE
            - GR
            - HU
            - IE
            - IT
            - LV
            - LT
            - LU
            - MT
            - NL
            - PL
            - PT
            - RO
            - SI
            - SK
            - ES
            - SE
            - CH
            - IS
            - LI
            - 'NO'
            - NZ
            - SG
            - HK
            - AE
            - SA
      required:
        - line1
        - country
    OriginAddressDto:
      type: object
      properties:
        line1:
          type: string
          description: >-
            The street address for the location. Do not include the postcode,
            state, or suburb in this field.
        line2:
          type: string
          description: Second line of the street address for the location.
        city:
          type: string
          description: >-
            City or town of the location. In certain regions the name here is
            validated against the postcode, so must be valid and match.
        state:
          type: string
          description: State, province, or territory of the location.
        postcode:
          type: string
          description: Postcode, postal code, or ZIP code of the location.
        isResidential:
          type: boolean
          description: Whether the address is residential.
        country:
          type: string
          description: The country of origin for the shipment
          enum:
            - GB
            - US
            - AT
            - BE
            - DE
            - ES
            - FR
            - IT
            - LU
            - NL
      required:
        - line1
        - country
    AmountDto:
      type: object
      properties:
        amount:
          type: number
          description: A decimal value.
          example: '15.0'
        currency:
          type: string
          description: The currency of the amount.
          enum:
            - GBP
            - USD
            - EUR
            - CAD
            - AUD
            - BGN
            - CZK
            - DKK
            - HUF
            - PLN
            - RON
            - SEK
            - NZD
            - SAR
            - AED
            - HKD
            - SGD
          default: GBP
      required:
        - amount
        - currency
    LocationDto:
      type: object
      properties:
        name:
          type: string
          description: The shipper's name.
        email:
          type: string
          description: Email address for the shipper.
        phone:
          type: string
          description: >-
            Phone number for the shipper. A valid local phone number including
            area code or a fully qualified international number. Drivers can use
            this to coordinate pickup with the sender.
        company:
          type: string
          description: >-
            Business name. This helps the driver successfully collect and
            deliver the parcel.
        stateTaxId:
          type: string
          description: The state tax Id
        countryTaxId:
          type: string
          description: The country tax Id. EORI number for GB, EIN number for US
        address:
          default:
            line1: ''
            city: ''
            postcode: ''
            country: GB
          allOf:
            - $ref: '#/components/schemas/AddressDto'
      required:
        - name
        - address
    ChargeDto:
      type: object
      properties:
        amount:
          type: number
          description: A decimal value.
          example: '15.0'
        currency:
          type: string
          description: The currency of the amount.
          enum:
            - GBP
            - USD
            - EUR
            - CAD
            - AUD
            - BGN
            - CZK
            - DKK
            - HUF
            - PLN
            - RON
            - SEK
            - NZD
            - SAR
            - AED
            - HKD
            - SGD
          default: GBP
        name:
          type: string
          description: The name of the charge.
        rate:
          type: number
          description: The rate of the charge (for VAT and duty charges).
        code:
          type: string
          description: The code of the charge.
      required:
        - name
    EventTypeEntity:
      type: object
      properties:
        id:
          type: string
        code:
          type: string
        alias:
          type: string
        status:
          type: string
        category:
          type: string
        description:
          type: string
        type:
          type: string
          enum:
            - created
            - received
            - triggered
          default: created
        clockStart:
          type: boolean
          default: false
        clockStop:
          type: boolean
          default: false
        shipperVisibility:
          type: boolean
          default: true
        consigneeVisibility:
          type: boolean
          default: true
        config:
          type: object
        createdAt:
          format: date-time
          type: string
          default: '2026-05-03T20:22:57.007Z'
        updatedAt:
          format: date-time
          type: string
          default: '2026-05-03T20:22:57.007Z'
        carrierEventTypes:
          type: array
          items:
            type: string
      required:
        - id
        - code
        - description
        - type
        - clockStart
        - clockStop
        - shipperVisibility
        - consigneeVisibility
        - createdAt
        - updatedAt
    TransactionTypesEntity:
      type: object
      properties:
        id:
          type: string
        origin:
          type: string
          enum:
            - AF
            - AL
            - DZ
            - AS
            - AC
            - AD
            - AO
            - AI
            - AQ
            - AG
            - AR
            - AM
            - AW
            - AU
            - AT
            - AZ
            - BS
            - BH
            - BD
            - BB
            - BY
            - BE
            - BZ
            - BJ
            - BM
            - BT
            - BO
            - BA
            - BW
            - BV
            - BR
            - IO
            - BN
            - BG
            - BF
            - BI
            - KH
            - CM
            - CA
            - CV
            - KY
            - CF
            - TD
            - CL
            - CN
            - CX
            - CC
            - CO
            - KM
            - CG
            - CD
            - CK
            - CR
            - CI
            - HR
            - CU
            - CY
            - CZ
            - DK
            - DJ
            - DM
            - DO
            - EC
            - EG
            - EL
            - SV
            - GQ
            - ER
            - EE
            - ET
            - FK
            - FO
            - FJ
            - FI
            - FR
            - GF
            - PF
            - TF
            - GA
            - GM
            - GE
            - DE
            - GH
            - GI
            - GR
            - GL
            - GD
            - GP
            - GU
            - GT
            - GG
            - GN
            - GW
            - GY
            - HT
            - HM
            - VA
            - HN
            - HK
            - HU
            - IS
            - IN
            - ID
            - IR
            - IQ
            - IE
            - IM
            - IL
            - IT
            - JM
            - JP
            - JE
            - JO
            - KZ
            - KE
            - KI
            - KP
            - KR
            - KW
            - KG
            - LA
            - LV
            - LB
            - LS
            - LR
            - LY
            - LI
            - LT
            - LU
            - MO
            - MK
            - MG
            - MW
            - MY
            - MV
            - ML
            - MT
            - MH
            - MQ
            - MR
            - MU
            - YT
            - MX
            - FM
            - MD
            - MC
            - MN
            - ME
            - MS
            - MA
            - MZ
            - MM
            - NA
            - NR
            - NP
            - NL
            - AN
            - NC
            - NZ
            - NI
            - NE
            - NG
            - NU
            - NF
            - MP
            - 'NO'
            - OM
            - PK
            - PW
            - PS
            - PA
            - PG
            - PY
            - PE
            - PH
            - PN
            - PL
            - PT
            - PR
            - QA
            - RE
            - RO
            - RU
            - RW
            - SH
            - KN
            - LC
            - PM
            - VC
            - WS
            - SM
            - ST
            - SA
            - SN
            - RS
            - SC
            - SL
            - SG
            - SK
            - SI
            - SB
            - SO
            - ZA
            - GS
            - ES
            - LK
            - SD
            - SR
            - SJ
            - SZ
            - SE
            - CH
            - SY
            - TW
            - TJ
            - TZ
            - TH
            - TL
            - TG
            - TK
            - TO
            - TT
            - TN
            - TR
            - TM
            - TC
            - TV
            - UG
            - UA
            - AE
            - GB
            - US
            - UM
            - UY
            - UZ
            - VU
            - VE
            - VN
            - VG
            - VI
            - WF
            - EH
            - YE
            - ZM
            - ZW
        currency:
          type: string
          enum:
            - GBP
            - USD
            - EUR
            - CAD
            - AUD
            - BGN
            - CZK
            - DKK
            - HUF
            - PLN
            - RON
            - SEK
            - NZD
            - SAR
            - AED
            - HKD
            - SGD
        transactionType:
          type: string
          enum:
            - account_payable
            - account_receivable
        category:
          type: string
        rateSource:
          type: string
        auditStatus:
          type: string
        chargeType:
          type: string
        destination:
          type: string
          enum:
            - AF
            - AL
            - DZ
            - AS
            - AC
            - AD
            - AO
            - AI
            - AQ
            - AG
            - AR
            - AM
            - AW
            - AU
            - AT
            - AZ
            - BS
            - BH
            - BD
            - BB
            - BY
            - BE
            - BZ
            - BJ
            - BM
            - BT
            - BO
            - BA
            - BW
            - BV
            - BR
            - IO
            - BN
            - BG
            - BF
            - BI
            - KH
            - CM
            - CA
            - CV
            - KY
            - CF
            - TD
            - CL
            - CN
            - CX
            - CC
            - CO
            - KM
            - CG
            - CD
            - CK
            - CR
            - CI
            - HR
            - CU
            - CY
            - CZ
            - DK
            - DJ
            - DM
            - DO
            - EC
            - EG
            - EL
            - SV
            - GQ
            - ER
            - EE
            - ET
            - FK
            - FO
            - FJ
            - FI
            - FR
            - GF
            - PF
            - TF
            - GA
            - GM
            - GE
            - DE
            - GH
            - GI
            - GR
            - GL
            - GD
            - GP
            - GU
            - GT
            - GG
            - GN
            - GW
            - GY
            - HT
            - HM
            - VA
            - HN
            - HK
            - HU
            - IS
            - IN
            - ID
            - IR
            - IQ
            - IE
            - IM
            - IL
            - IT
            - JM
            - JP
            - JE
            - JO
            - KZ
            - KE
            - KI
            - KP
            - KR
            - KW
            - KG
            - LA
            - LV
            - LB
            - LS
            - LR
            - LY
            - LI
            - LT
            - LU
            - MO
            - MK
            - MG
            - MW
            - MY
            - MV
            - ML
            - MT
            - MH
            - MQ
            - MR
            - MU
            - YT
            - MX
            - FM
            - MD
            - MC
            - MN
            - ME
            - MS
            - MA
            - MZ
            - MM
            - NA
            - NR
            - NP
            - NL
            - AN
            - NC
            - NZ
            - NI
            - NE
            - NG
            - NU
            - NF
            - MP
            - 'NO'
            - OM
            - PK
            - PW
            - PS
            - PA
            - PG
            - PY
            - PE
            - PH
            - PN
            - PL
            - PT
            - PR
            - QA
            - RE
            - RO
            - RU
            - RW
            - SH
            - KN
            - LC
            - PM
            - VC
            - WS
            - SM
            - ST
            - SA
            - SN
            - RS
            - SC
            - SL
            - SG
            - SK
            - SI
            - SB
            - SO
            - ZA
            - GS
            - ES
            - LK
            - SD
            - SR
            - SJ
            - SZ
            - SE
            - CH
            - SY
            - TW
            - TJ
            - TZ
            - TH
            - TL
            - TG
            - TK
            - TO
            - TT
            - TN
            - TR
            - TM
            - TC
            - TV
            - UG
            - UA
            - AE
            - GB
            - US
            - UM
            - UY
            - UZ
            - VU
            - VE
            - VN
            - VG
            - VI
            - WF
            - EH
            - YE
            - ZM
            - ZW
        value:
          type: string
        account:
          type: string
        metadata:
          type: object
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - origin
        - currency
        - transactionType
        - category
        - rateSource
        - auditStatus
        - chargeType
        - destination
        - account
        - metadata
        - createdAt
        - updatedAt
    AddressDto:
      type: object
      properties:
        line1:
          type: string
          description: >-
            The street address for the location. Do not include the postcode,
            state, or suburb in this field.
        line2:
          type: string
          description: Second line of the street address for the location.
        city:
          type: string
          description: >-
            City or town of the location. In certain regions the name here is
            validated against the postcode, so must be valid and match.
        state:
          type: string
          description: State, province, or territory of the location.
        country:
          type: string
          description: Country for the recipient.
          enum:
            - AF
            - AL
            - DZ
            - AS
            - AC
            - AD
            - AO
            - AI
            - AQ
            - AG
            - AR
            - AM
            - AW
            - AU
            - AT
            - AZ
            - BS
            - BH
            - BD
            - BB
            - BY
            - BE
            - BZ
            - BJ
            - BM
            - BT
            - BO
            - BA
            - BW
            - BV
            - BR
            - IO
            - BN
            - BG
            - BF
            - BI
            - KH
            - CM
            - CA
            - CV
            - KY
            - CF
            - TD
            - CL
            - CN
            - CX
            - CC
            - CO
            - KM
            - CG
            - CD
            - CK
            - CR
            - CI
            - HR
            - CU
            - CY
            - CZ
            - DK
            - DJ
            - DM
            - DO
            - EC
            - EG
            - EL
            - SV
            - GQ
            - ER
            - EE
            - ET
            - FK
            - FO
            - FJ
            - FI
            - FR
            - GF
            - PF
            - TF
            - GA
            - GM
            - GE
            - DE
            - GH
            - GI
            - GR
            - GL
            - GD
            - GP
            - GU
            - GT
            - GG
            - GN
            - GW
            - GY
            - HT
            - HM
            - VA
            - HN
            - HK
            - HU
            - IS
            - IN
            - ID
            - IR
            - IQ
            - IE
            - IM
            - IL
            - IT
            - JM
            - JP
            - JE
            - JO
            - KZ
            - KE
            - KI
            - KP
            - KR
            - KW
            - KG
            - LA
            - LV
            - LB
            - LS
            - LR
            - LY
            - LI
            - LT
            - LU
            - MO
            - MK
            - MG
            - MW
            - MY
            - MV
            - ML
            - MT
            - MH
            - MQ
            - MR
            - MU
            - YT
            - MX
            - FM
            - MD
            - MC
            - MN
            - ME
            - MS
            - MA
            - MZ
            - MM
            - NA
            - NR
            - NP
            - NL
            - AN
            - NC
            - NZ
            - NI
            - NE
            - NG
            - NU
            - NF
            - MP
            - 'NO'
            - OM
            - PK
            - PW
            - PS
            - PA
            - PG
            - PY
            - PE
            - PH
            - PN
            - PL
            - PT
            - PR
            - QA
            - RE
            - RO
            - RU
            - RW
            - SH
            - KN
            - LC
            - PM
            - VC
            - WS
            - SM
            - ST
            - SA
            - SN
            - RS
            - SC
            - SL
            - SG
            - SK
            - SI
            - SB
            - SO
            - ZA
            - GS
            - ES
            - LK
            - SD
            - SR
            - SJ
            - SZ
            - SE
            - CH
            - SY
            - TW
            - TJ
            - TZ
            - TH
            - TL
            - TG
            - TK
            - TO
            - TT
            - TN
            - TR
            - TM
            - TC
            - TV
            - UG
            - UA
            - AE
            - GB
            - US
            - UM
            - UY
            - UZ
            - VU
            - VE
            - VN
            - VG
            - VI
            - WF
            - EH
            - YE
            - ZM
            - ZW
        postcode:
          type: string
          description: Postcode, postal code, or ZIP code of the location.
        isResidential:
          type: boolean
          description: Whether the address is residential.
      required:
        - line1
        - country
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````